Bug 505418 - Xine and Mplayer Crash X immediately
Xine and Mplayer Crash X immediately
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 16:30 EDT by Michael
Modified: 2010-06-28 08:54 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:54:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log from crash (62.82 KB, text/plain)
2009-06-11 16:30 EDT, Michael
no flags Details
output of strace on xsane leading up to the crash (971.95 KB, text/plain)
2009-06-14 16:38 EDT, Michael
no flags Details
/var/log/dmesg from a crashing session (41.80 KB, text/plain)
2009-06-18 14:14 EDT, Michael
no flags Details

  None (edit)
Description Michael 2009-06-11 16:30:09 EDT
Created attachment 347469 [details]
Xorg log from crash

Description of problem:

X windows system crashes when I try to run xine or mplayer.

Version-Release number of selected component (if applicable):


How reproducible:

Every time.

Steps to Reproduce:
1. open terminal
2. type xine or mplayer
3. hit enter
  
Actual results:

Screen freezes.

Expected results:

Xine or Mplayer should open.

Additional info: 

The mouse can move, but nothing is responsive. Can't switch consoles or kill X with Ctrl-Alt-Backspace. Can log in with ssh, but attempts to restart X fail, and the only option (so far) is to reboot. 

VLC seems to work fine.

After logging in via ssh, top doesn't show any resource-hogging processes. The crash doesn't seem to create any Xorg.0.log entries, but I'll post my log just in case I missed them.

Let me know if I can provide any other helpful details.
Comment 1 Michael 2009-06-11 20:46:23 EDT
I've just discovered that trying to launch Xsane on my system also produces the same hard lock on the X server.
Comment 2 Michael 2009-06-14 16:38:50 EDT
Created attachment 347855 [details]
output of strace on xsane leading up to the crash
Comment 3 Michael 2009-06-14 17:12:34 EDT
Some other things I probably should have included in the original report:

1) My video card is an Intel 82Q963/965
2) I'm not using an Xorg.conf other than what's automatically generated.
3) The problem occurs regardless of whether I'm using compiz.
4) The freeze happens with Xine as soon as it starts, but for mplayer I have to attempt to load a video. For Xsane, I have to pick a scanning device first.

Perhaps most importantly, I've just discovered that disabling kernel modesetting at startup with the "nomodeset" command resolves the problem. For Xine and Mplayer, the freezes come back when modesetting is enabled again, but so far Xsane seems to be permanently fixed.
Comment 4 Joel 2009-06-15 13:08:31 EDT
This probably needs to be switched to the xorg-x11-drv-intel component.
Comment 5 Matěj Cepl 2009-06-16 18:26:33 EDT
I don't see any crash in the backtrace, Could we get also /var/log/dmesg from crashing session to see whether there isn't any kernel issue, please?

Thank you very much.
Comment 6 Michael 2009-06-18 14:14:26 EDT
Created attachment 348538 [details]
/var/log/dmesg from a crashing session

Sure, here it is. I watched it from a remote terminal with tail -f /var/log/dmesg but no new messages were produced during the crash.

Also, since Xsane now functions normally, I had to use Xine instead.

Thanks for the help!
Comment 7 Ralph Siemsen 2009-06-23 21:32:33 EDT
"Me too", exact same problem, but using Intel 82G33/G31 video.  Mplayer locks X, can't switch consoles, can't do a shutdown via ACPI power button. (Remote login to initiate shutdown works).  Adding "nomodeset" parameter to kernel commandline appears to fix the issue.

Adding "nomodeset" has also cured another very annoying issue for me: I was unable to make any changes to Keyboard Shortcuts in GNOME, because because gnome-settings-daemon refused to start.  It fails with an assertion related to function gnome_rr_config_new_current(), digging into its source code, this appears to be related to the xrandr extension.
Comment 8 Patrick 2009-07-08 00:38:24 EDT
Me too, however, only the nomodeset fix has stopped working for me.  I believe that it was after the mesa 7.6 update.  If I use nomodeset, then graphics are all messed up until I log out, whereupon I see a brief clear image of my background.  With mode setting X still hangs when watching a video.  Intel Q965 graphics.
Comment 9 Erick 2009-07-13 13:30:40 EDT
Some additional info:

playing a video from Gnome (Applications/Sound & Video/GNOME Mplayer) using gnome-mplayer works as long as I don't click in the gmplayer window (this includes trying to select anything in the menu bar). Click=freeze! Fully reproducible each time. If I don't touch anything within mplayer during playback everything is ok (no freeze). I can also select any other window (like firefox) to get the focus. Mplayer then keeps playing.

Concerning my graphics card:
From lspci:

00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)
Comment 10 Erick 2009-07-13 13:33:38 EDT
To further add info to comment #9: Fedora 11 32-bit is used.
Comment 11 Erick 2009-07-15 14:30:24 EDT
additional info. Mplayer works using the Opengl video output format.
mplayer -zoom -vo gl <file>

X11 mode is broken.

rpms:
xorg-x11-drv-intel-2.7.0-7.fc11.i586
mplayer-1.0-0.109.20090329svn.fc11.i586 (not in Fedora repo. I know...)
Comment 12 Peter Åstrand 2009-07-22 14:09:41 EDT
Same problem, Intel 82G965. Extremely frustrating.
Comment 13 Patrick 2009-08-15 23:09:42 EDT
(In reply to comment #8)
> Me too, however, only the nomodeset fix has stopped working for me.  I believe
> that it was after the mesa 7.6 update.  If I use nomodeset, then graphics are
> all messed up until I log out, whereupon I see a brief clear image of my
> background.  With mode setting X still hangs when watching a video.  Intel Q965
> graphics.  

reverting to Mesa 7.5 fixed this for me.
Comment 15 Matěj Cepl 2009-11-05 13:31:18 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 16 Peter Åstrand 2009-11-05 16:08:44 EST
I can report that the problem still exists on F11 with all (stable) updates. Executing mplayer still freezes X. The only packages offered by updates-testing are ffmpeg/vlc/devede (from rpmfusion-free-updates-testing), and I doubt that they will help against this problem.
Comment 17 Erick 2009-11-06 02:15:23 EST
I fully concur with comment #16. Status is still in all respects the same.
Comment 18 Michael 2009-11-11 00:13:23 EST
Same here. I don't see any differences from when I first encountered this. Let me know if there is more info I can get you.
Comment 19 Massa 2010-01-21 10:32:13 EST
Hi,

It seems a problem of Intel graphics driver. I had same problem until using nomodeset parameter.

Also, while having problems in old setting, I could run MPlayer over a VNC session - that pointed me it should be driver related.
Comment 20 Bug Zapper 2010-04-27 10:47:33 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2010-06-28 08:54:38 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.